
QGIS Application - Bug report #13911

Zoom to layer fails using views

2015-11-30 04:32 AM - Bruno Moreira

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21933

Description

The scenario:

we've got 2 PostgreSQL Layers:

- Layer A, it's a layer where we're abble to insert feature in table XPTO

- Layer B, it's a layer that is a PostgreSQL view that returns the last inserted feature in table XPTO

The problem:

- When we first open QGis and use the "Zoom to layer" on "Layer B" it works well and zooms to last inserted feature, but if we insert a new

feature in "Layer A", the "Layer B" automatically graphicaly updates to the last inserted feature, but if we use "Zoom to layer" it zooms to

the previous inserted feature and not the last inserted feature.

How to reproduce:

- create table "TEST" with some geometry, and autoincrement ID

- create a view "TEST_view" in PostgreSQL that shows the last inserted item (i used order by id and limit 1)

- create new project in QGis

- add new layer linked to "TEST" table

- add new layer linked to "TEST_view" 

- insert feature in layer linked to "TEST" table, and save

- use "Zoom to layer" in "TEST_view" Layer, you'll see it working well

- insert another feature in layer linked to "TEST" table, and save

- use "Zoom to layer" in "TEST_view" Layer, you'll notice that graphically you can see the last inserted item, but you'll zoom to the previous

inserted item

PS: noticed that there is a 2.12.0 version will try in that and report back if it's solved

Related issues:

Related to QGIS Application - Bug report # 13848: Refreshing a vector layer d... Closed 2015-11-17

History

#1 - 2015-11-30 08:55 AM - Bruno Moreira

Just tested on 2.12.1-Lyon, and the bug remains

#2 - 2015-12-06 07:53 AM - Sebastian Dietrich

Confirmed on master (commit:dc73fb2a09c6516b7a2149c49f6b62cd11ff83f9).

It does not only affect views, but normal layers based on tables, too:

    -  load a layer

    -  zoom to the layer extent
    -  add some features outside the extent from another application

    -  zoom to the layer extent again

=> zooms to the old extent, not showing the new features

What did help in my case was using the Filter... dialog and simply confirming the already present SQL filter.

See also #13848, which is basically the same but for the feature count.

#3 - 2015-12-06 08:20 AM - Jürgen Fischer

Sebastian Dietrich wrote:

What did help in my case was using the Filter... dialog and simply confirming the already present SQL filter.

Or "Update Extents" in layer properties.

#4 - 2016-02-19 05:45 AM - Andy Wood

Probably the same problem in master (6f393751aa2762e37aee75f15319bc5f9671ae7f)

    -  load a project

    -  manually zoom in

    -  will not "Zoom to Layer" if the layer has a Filter

After the "Zoom to Layer" attempt, manual zoom or panning the map is not possible until a different layer (without a Filter) is selected and "Zoom to Layer"

is performed on this layer.

#5 - 2016-03-17 04:31 PM - Jon Douglas

re: Andy Wood

I see same behavior when i upgraded to 2.14.0 today.

Should a seperate bug be opened for this?

#6 - 2016-03-18 05:43 AM - Andy Wood

For me, the problem ("Zoom to Layer" on a layer with a Filter) has been fixed in master.

#7 - 2016-03-19 04:30 AM - Anita Graser

- Subject changed from [BUG] Zoom to layer fails using views to Zoom to layer fails using views

#8 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
#10 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
